> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get human-readable transaction summary

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /transactions/{transaction_hash}/summary
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /transactions/{transaction_hash}/summary:
    get:
      summary: get human-readable transaction summary
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_transaction_summary
      parameters:
        - $ref: '#/components/parameters/transactionHash'
      responses:
        '200':
          description: human-readable transaction summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionSummary'
        '400':
          description: bad input parameter
components:
  parameters:
    transactionHash:
      name: transaction_hash
      in: path
      description: Transaction hash
      required: true
      schema:
        type: string
        pattern: ^0x([A-Fa-f0-9]{64})$
  schemas:
    TransactionSummary:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          example: true
        data:
          $ref: '#/components/schemas/TransactionSummaryObj'
    TransactionSummaryObj:
      type: object
      properties:
        summaries:
          type: array
          items:
            $ref: '#/components/schemas/Summary'
    Summary:
      type: object
      required:
        - summary_template
        - summary_template_variables
      properties:
        summary_template:
          type: string
          example: '{action_type} of {amount} {token}'
          description: Summary template
        summary_template_variables:
          $ref: '#/components/schemas/SummaryTemplateVariables'
          description: Variables for summary
    SummaryTemplateVariables:
      type: object
      required:
        - action_type
        - amount
        - token
      properties:
        action_type:
          $ref: '#/components/schemas/SummaryVariable'
          description: Action type
        amount:
          $ref: '#/components/schemas/SummaryVariableCurrency'
          description: Amount
        token:
          $ref: '#/components/schemas/SummaryVariableToken'
          description: Token info
    SummaryVariable:
      type: object
      required:
        - type
        - value
      properties:
        type:
          type: string
          example: string
          description: Variable type
        value:
          type: string
          example: Registered withdrawal of
          description: Action Type
    SummaryVariableCurrency:
      type: object
      required:
        - type
        - value
      properties:
        type:
          type: string
          example: currency
          description: Currency type
        value:
          type: string
          example: '0.195999999980484004'
          description: Value
    SummaryVariableToken:
      type: object
      required:
        - type
        - value
      properties:
        type:
          type: string
          example: token
          description: Type
        value:
          $ref: '#/components/schemas/TokenInfoDetailed'
          description: Token info
    TokenInfoDetailed:
      type: object
      required:
        - address
        - circulating_market_cap
        - decimals
        - exchange_rate
        - holders
        - icon_url
        - name
        - symbol
        - total_supply
        - type
        - volume_24h
      properties:
        address_hash:
          type: string
          example: '0xBEEF69Ac7870777598A04B2bd4771c71212E6aBc'
          description: Token Address
        circulating_market_cap:
          type: string
          example: '0.0'
          description: Token circulating market cap
        decimals:
          type: string
          example: '18'
          description: Token decimals
        exchange_rate:
          type: string
          example: '2890.96'
          description: Token exchange rate
        holders_count:
          type: string
          example: '2999'
          description: Token holders amount
        icon_url:
          type: string
          example: >-
            https://assets.coingecko.com/coins/images/39410/small/Steakhouse_logo-05.jpg?1722053893
          description: 'Token image URL '
        name:
          type: string
          example: Steakhouse Resteaking Vault
          description: Token name
        symbol:
          type: string
          example: steakLRT
          description: Token symbol
        total_supply:
          type: string
          example: '9710057205959239302188'
          description: Token total supply
        type:
          type: string
          example: ERC-20
          description: Token type
        volume_24h:
          type: string
          example: '24298.765344836862'
          description: Token trading volume for past 24h

````